Get Perception
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/perception \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/perception"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/perception', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/perception",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/perception"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/perception")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/perception")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"best_quotes": [
{
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"engine_id": "<string>",
"language": "unknown",
"prompt_text": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>"
}
],
"claims": [
{
"current_version_pending": false,
"definition_version": 123,
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"key": "<string>",
"kind": "category",
"origins": {
"probe": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"prompt": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
}
},
"parts": [
{
"key": "<string>",
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"domain": "<string>",
"facts_summary": {
"insufficient_keys": [
"<string>"
],
"measured": 123,
"mostly_right": 123
},
"filters": {
"audience": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine": "perplexity",
"intent": "educational",
"market": "<string>",
"prompt": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organic"
},
"headline": "<string>",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"negative_prompts": [
{
"answers": 123,
"negative": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share": 123,
"state": "measured",
"text": "<string>"
}
],
"negative_prompts_total": 123,
"negative_sources": [
{
"citations": 123,
"domain": "<string>",
"domain_citations": 0,
"language": "unknown",
"passage": "<string>",
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"negative_sources_total": 123,
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"praised": {
"answers": 123,
"basis": "ai",
"change": {
"baseline": {
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"reports": 123
},
"cells_unpaired": 123,
"compared_engines": [
"<string>"
],
"delta": 123,
"direction": "up",
"high": 123,
"low": 123,
"real": true,
"state": "up"
},
"denominator": 123,
"high": 123,
"low": 123,
"numerator": 123,
"state": "<string>",
"trend": [
{
"answers": 123,
"at": "2023-11-07T05:31:56Z",
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"high": 123,
"low": 123,
"state": "<string>",
"value": 123
}
],
"value": 123
},
"understood": {
"answers": 123,
"basis": "ai",
"change": {
"baseline": {
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"reports": 123
},
"cells_unpaired": 123,
"compared_engines": [
"<string>"
],
"delta": 123,
"direction": "up",
"high": 123,
"low": 123,
"real": true,
"state": "up"
},
"denominator": 123,
"high": 123,
"low": 123,
"numerator": 123,
"state": "<string>",
"trend": [
{
"answers": 123,
"at": "2023-11-07T05:31:56Z",
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"high": 123,
"low": 123,
"state": "<string>",
"value": 123
}
],
"value": 123
},
"written": {
"line_to_own": "<string>",
"positioning": [
{
"brand_key": "<string>",
"domain": "<string>",
"engines": 123,
"is_you": true,
"line": "<string>",
"name": "<string>"
}
],
"report_at": "2023-11-07T05:31:56Z",
"report_scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement": "<string>"
}
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Visibility
Get Perception
The statement, positioning, claims, negative prompts and sources, and best quotes.
GET
/
v1
/
brands
/
{brand_id}
/
perception
Get Perception
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/perception \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/perception"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/perception', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/perception",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/perception"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/perception")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/perception")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"best_quotes": [
{
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"engine_id": "<string>",
"language": "unknown",
"prompt_text": "<string>",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>"
}
],
"claims": [
{
"current_version_pending": false,
"definition_version": 123,
"insight": {
"id": "<string>",
"kinds": [
{
"credits": 123,
"play": "<string>",
"title": "<string>"
}
],
"work": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "<string>",
"status": "<string>"
}
},
"key": "<string>",
"kind": "category",
"origins": {
"probe": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"prompt": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
}
},
"parts": [
{
"key": "<string>",
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"quote": {
"answer_read_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asked_language": "<string>",
"count": 123,
"engine_id": "<string>",
"language": "unknown",
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"verdict": "agrees"
},
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"trend": {
"definition_changed": false,
"delta": 123,
"label": "<string>",
"state": "up"
},
"verdicts": {
"agrees": 0,
"answers": 0,
"contradicts": 0,
"doesnt_say": 0,
"partly": 0
},
"wording": "<string>"
}
],
"domain": "<string>",
"facts_summary": {
"insufficient_keys": [
"<string>"
],
"measured": 123,
"mostly_right": 123
},
"filters": {
"audience": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine": "perplexity",
"intent": "educational",
"market": "<string>",
"prompt": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organic"
},
"headline": "<string>",
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"negative_prompts": [
{
"answers": 123,
"negative": 123,
"prompt_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share": 123,
"state": "measured",
"text": "<string>"
}
],
"negative_prompts_total": 123,
"negative_sources": [
{
"citations": 123,
"domain": "<string>",
"domain_citations": 0,
"language": "unknown",
"passage": "<string>",
"state": {
"action_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "new",
"label": "<string>"
},
"title": "<string>",
"type": "<string>",
"url": "<string>"
}
],
"negative_sources_total": 123,
"period": {
"excluded_reports": 123,
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"preset": "1w",
"reports": 123
},
"praised": {
"answers": 123,
"basis": "ai",
"change": {
"baseline": {
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"reports": 123
},
"cells_unpaired": 123,
"compared_engines": [
"<string>"
],
"delta": 123,
"direction": "up",
"high": 123,
"low": 123,
"real": true,
"state": "up"
},
"denominator": 123,
"high": 123,
"low": 123,
"numerator": 123,
"state": "<string>",
"trend": [
{
"answers": 123,
"at": "2023-11-07T05:31:56Z",
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"high": 123,
"low": 123,
"state": "<string>",
"value": 123
}
],
"value": 123
},
"understood": {
"answers": 123,
"basis": "ai",
"change": {
"baseline": {
"first_answer_at": "2023-11-07T05:31:56Z",
"last_answer_at": "2023-11-07T05:31:56Z",
"reports": 123
},
"cells_unpaired": 123,
"compared_engines": [
"<string>"
],
"delta": 123,
"direction": "up",
"high": 123,
"low": 123,
"real": true,
"state": "up"
},
"denominator": 123,
"high": 123,
"low": 123,
"numerator": 123,
"state": "<string>",
"trend": [
{
"answers": 123,
"at": "2023-11-07T05:31:56Z",
"break": {
"at": "2023-12-25",
"comparable": true,
"engines_added": [
"<string>"
],
"engines_removed": [
"<string>"
],
"parts": [
"<string>"
]
},
"high": 123,
"low": 123,
"state": "<string>",
"value": 123
}
],
"value": 123
},
"written": {
"line_to_own": "<string>",
"positioning": [
{
"brand_key": "<string>",
"domain": "<string>",
"engines": 123,
"is_you": true,
"line": "<string>",
"name": "<string>"
}
],
"report_at": "2023-11-07T05:31:56Z",
"report_scan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement": "<string>"
}
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Query Parameters
Response
Successful Response